%%
clear; close all; clc;

%% Initialize simulation configuration
opts_sim = struct(...
    'Tsim', 10 ...
);

initializeSimConf(opts_sim);

%% Initialize Inputs
opts_inputs = struct(...
    'ground_motion', false, ...
    'ry', true, ...
    'rz', false ...
);

initializeInputs(opts_inputs);

%% Initialize SolidWorks Data
initializeSmiData();

%% Initialize Ground
initializeGround();

%% Initialize Granite
initializeGranite();

%% Initialize Translation stage
initializeTy();

%% Initialize Tilt Stage
initializeRy();

%% Initialize Spindle
initializeRz();

%% Initialize Hexapod Symtrie
initializeMicroHexapod();

%% Initialize Center of Gravity compensation
initializeAxisc();

%% Initialize NASS
opts_nano_hexapod = struct('actuator', 'lorentz');

initializeNanoHexapod(opts_nano_hexapod);

%% Initialize the Mirror
initializeMirror(struct('shape', 'spherical'));

%% Initialize Sample
opts_sample = struct('mass', 20);

initializeSample(opts_sample);
